Package net.shibboleth.shared.codec

# Class CodecException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.shared.codec.CodecException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DecodingException`, `EncodingException`

@ThreadSafe public class CodecException extends Exception
A general checked `Exception` thrown by the failure of a Codec.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serialization ID.

## Constructor Summary

Constructors
Constructor
Description
`CodecException()`
Constructor.
`CodecException(String message)`
Constructor.
`CodecException(String message, Throwable cause)`
Constructor.
`CodecException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serialization ID.

See Also:
  - Constant Field Values

## Constructor Details

### CodecException

public CodecException()
Constructor.

### CodecException

public CodecException(@Nullable String message)
Constructor.

Parameters:
  `message` - exception message

### CodecException

public CodecException(@Nullable Throwable cause)
Constructor.

Parameters:
  `cause` - the cause of the exception

### CodecException

public CodecException(@Nullable String message, @Nullable Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - the cause of the exceptio